/*
 * Created on Apr 5, 2004
 *
 * To change the template for this generated file go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 */
package com.adhi.adhij;

import java.io.IOException;
import java.io.InputStream;
import java.util.Properties;

/**
 * Defines the application parameters
 * @author DKRISHNA
 *
 * 
 */
public class ApplicationParam {

	private static Properties properties;
	
	/**
	 * field name of the data source
	 */
	public final static String DATA_SOURCE = "dataSource";
	/**
	 * field name of the jdbc driver
	 */
	public final static String JDBC_DRIVER = "jdbcDriver";
	/**
	 * field name the connection url 
	 */
	public final static String CONNECTION_URL = "connectionURL";
	/**
	 * field name of the user name
	 */
	public final static String DB_USER = "dbUser";
	/**
	 * field name of the password
	 */
	public final static String DB_PASSWORD = "dbPassword";
	
	/**
	 * the name of the property file
	 */
	public final static String PROPERTY_FILE = "ApplicationParam.properties";
	
	/**
	 * loads the property file
	 *
	 */
	public static void load()
	{
		if(properties == null)
		{
			InputStream is = ClassLoader.getSystemResourceAsStream(
							PROPERTY_FILE);
			properties = new Properties();
			try {
				properties.load(is);
				is.close();
			} catch (IOException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}
			
		}		
	}
	
	/**
	 * returns the corresponding value for the key
	 * @param key the key
	 * @return the corresponding value for the key
	 */
	public static Object getValue(String key)
	{
		load();
		return properties.get(key);
	}
}
